Arch MergeWalls/ro: Difference between revisions

From FreeCAD Documentation
(Created page with "{{Userdocnavi/ro}}")
(Updating to match new version of source page)
Line 47: Line 47:
{{docnav/ro|[[Arch_CloseHoles|Close Holes]]|[[Arch_Check|Check]]|[[Arch_Module|Arch]]|IconL=Arch_CloseHoles.svg |IconC=Workbench_Arch.svg |IconR=Arch_Check.svg}}
{{docnav/ro|[[Arch_CloseHoles|Close Holes]]|[[Arch_Check|Check]]|[[Arch_Module|Arch]]|IconL=Arch_CloseHoles.svg |IconC=Workbench_Arch.svg |IconR=Arch_Check.svg}}


{{Arch Tools navi/ro}}
{{Arch Tools navi{{#translation:}}}}


{{Userdocnavi/ro}}
{{Userdocnavi{{#translation:}}}}

Revision as of 21:48, 19 February 2020

Arch MergeWalls

poziția meniului
Arch → Utilities → Merge Walls
Ateliere
Arch
scurtătură
nici unul
Prezentat în versiune
-
A se vedea, de asemenea,
Arch Wall/ro

Descriere

The MergeWalls tool fuses two or more selected Arch Walls.

Cum se folosește

  1. Select two or more walls.
  2. Press the button, or use the ArchUtilities Merge Walls from the top menu.

Properties

Limitations

Scripting

See also: Arch API and FreeCAD Scripting Basics.

This tool can be used in macros and from the Python console by using the following function:

base = joinWalls(walls, delete=False)

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Wall2 = Arch.makeWall(None, length=2000, width=200, height=1000)
FreeCAD.ActiveDocument.recompute() 

base = Arch.joinWalls([Wall1, Wall2])